# startup.cmd for n1vxi1 --- VXI crate 1

< /MIDAS/boot/startup.cmd

#    define name which will be used in the apparatus file for this VXI crate
NetVar_MyVXICrate = calloc(80,1)
strcpy (NetVar_MyVXICrate, "vxi1")

cd "/MIDAS/obj"

ld < rdwr.o
ld < message.o

ld < rmSpectrumServer.o
< /MIDAS/config/VXI/GroupDefn

ld < resourceManager.o
ld < vxi-self-test.o

ld < register-server.o
ld < registers.o
ld < ersconfig.o
ld < generic.o
ld < VME.o
ld < VXI.o
< /MIDAS/config/VXI/NetVarDefn

msgInitialise                             /* install the message logging task */

resourceManager                                     /* VXI auto configuration */
taskDelay 100

vxiSelfTest                                      /* VXI self test function */
taskDelay 100

sp sas                                           /* start the spectrum server */
taskDelay 100  /* we seem to need a pause before starting the register server */

ersInstall NetVar_MyVXICrate, "/MIDAS/config/VXI/n1vxi1"  /* start the register server */
taskDelay 1000  /*  again a pause is needed to allow the previous command to execute   */

ersconfig "/MIDAS/config/VXI/NetVarRegDefn"    /* define NetVar registers */

msgDefineMessage(0,0,9,0,"#message#VXI crate reboot complete#action#source VXIrestart.tcl vxi1")

pwd
